package _VisualDVM.ComponentsServer.BugReportRecipient;
import Common.CommonConstants;
import Common.Database.Objects.DBObject;
import Common.Database.Objects.iDBObject;
import _VisualDVM.ComponentsServer.BugReport.BugReport;
import com.sun.org.glassfish.gmbal.Description;
public class BugReportRecipient extends iDBObject {
    public String email = "";
    @Description("DEFAULT '-1'")
    public int bugreport_id = CommonConstants.Nan;
    public BugReportRecipient() {
    }
    public BugReportRecipient(BugReport bugReport, String email_in) {
        bugreport_id = bugReport.id;
        email = email_in;
    }
    public BugReportRecipient(String email_in) {
        email = email_in;
    }
    @Override
    public void SynchronizeFields(DBObject src) {
        super.SynchronizeFields(src);
        BugReportRecipient src_ = (BugReportRecipient) src;
        bugreport_id = src_.bugreport_id;
        email = src_.email;
    }
}
